managed Maintenance Window Status - Get
Action to get Maintenance Window Status of the Service Fabric Managed Clusters.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ServiceFabric/managedClusters/{clusterName}/getMaintenanceWindowStatus?api-version=2024-11-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
cluster
|
path | True |
string |
The name of the cluster resource. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get Maintenance Window Status
Sample request
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup1/providers/Microsoft.ServiceFabric/managedClusters/mycluster1/getMaintenanceWindowStatus?api-version=2024-11-01-preview
Sample response
{
"canApplyUpdates": true,
"isRegionReady": true,
"isWindowActive": true,
"isWindowEnabled": false,
"lastWindowEndTimeUTC": "2023-04-30T00:00:00",
"lastWindowStartTimeUTC": "2023-04-30T00:00:00",
"lastWindowStatusUpdateAtUTC": "2023-04-30T00:00:00"
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Managed |
Describes the maintenance window status of the Service Fabric Managed Cluster. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ManagedMaintenanceWindowStatus
Describes the maintenance window status of the Service Fabric Managed Cluster.
| Name | Type | Description |
|---|---|---|
| canApplyUpdates |
boolean |
If updates can be applied. |
| isRegionReady |
boolean |
Indicates if the region is ready to configure maintenance windows. |
| isWindowActive |
boolean |
If maintenance window is active. |
| isWindowEnabled |
boolean |
If maintenance window is enabled on this cluster. |
| lastWindowEndTimeUTC |
string (date-time) |
Last window end time in UTC. |
| lastWindowStartTimeUTC |
string (date-time) |
Last window start time in UTC. |
| lastWindowStatusUpdateAtUTC |
string (date-time) |
Last window update time in UTC. |